<?php

/*
Plugin Name: Kasuari Extra
Plugin URI: http://www.themesawesome.com
Description: A plugin to add functionality to Premium Theme Kasuari from Themes Awesome
Version: 1.0
Author: Themes Awesome
Author URI: http://www.themesawesome.com
License: GPL2
*/

if ( ! defined( 'ABSPATH' ) ) exit;

// This file is pretty much a boilerplate WordPress plugin.
// It does very little except including wp-widget.php

define( 'KASUARI_EXTRA__FILE__', __FILE__ );
define( 'KASUARI_EXTRA_PLUGIN_BASE', plugin_basename( KASUARI_EXTRA__FILE__ ) );
define( 'KASUARI_EXTRA_URL', plugins_url( '/', KASUARI_EXTRA__FILE__ ) );
define( 'KASUARI_EXTRA_PATH', plugin_dir_path( KASUARI_EXTRA__FILE__ ) );


require_once KASUARI_EXTRA_PATH.'inc/custom.php';
require_once KASUARI_EXTRA_PATH.'inc/portohov.php';
require_once KASUARI_EXTRA_PATH.'inc/element-helper.php';
require_once KASUARI_EXTRA_PATH.'inc/lightbox-transition.php';

// Flush rewrite rules on activation
function kasuari_extra_activation() {
  flush_rewrite_rules(true);
}
require_once KASUARI_EXTRA_PATH.'widgets/kasuari-latestpost-widget.php';
require_once KASUARI_EXTRA_PATH.'widgets/kasuari-latestpost2-widget.php';

function kasuari_new_elements(){
  require_once KASUARI_EXTRA_PATH.'head-title/head-title.php';
  require_once KASUARI_EXTRA_PATH.'kasuari-post/post-control.php';
  require_once KASUARI_EXTRA_PATH.'gallery-block/gallery-control.php';
  require_once KASUARI_EXTRA_PATH.'team-block/team-control.php';
  require_once KASUARI_EXTRA_PATH.'client-block/client-control.php';
  require_once KASUARI_EXTRA_PATH.'contact-block/contact-control.php';
  require_once KASUARI_EXTRA_PATH.'testimonial-block/testimonial-control.php';
  require_once KASUARI_EXTRA_PATH.'text-block/text-control.php';
  require_once KASUARI_EXTRA_PATH.'menus-block/menus-control.php';
}

add_action('elementor/widgets/widgets_registered','kasuari_new_elements');


/* DEMO IMPORT */
function ocdi_import_files() {
return array(
array(
  'import_file_name'           => 'Demo 1',
  'import_file_url'            => plugin_dir_url( __FILE__ ).'demo-content/demo1/content.xml',
  'import_redux'               => array(
    array(
    'file_url'    => plugin_dir_url( __FILE__ ).'demo-content/demo1/theme-options.json',
    'option_name' => 'kasuari_framework',
    ),
  ),
  'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'demo-content/demo1/screen-image.jpg',
  'import_notice'              => __( 'Some of images may not looks like demo because images are excluded from theme.', 'kasuari' ),
  'preview_url'                => 'https://kasuari.themesawesome.com/',
  ),

array(
  'import_file_name'           => 'Demo 2',
  'import_file_url'            => plugin_dir_url( __FILE__ ).'demo-content/demo2/content.xml',
  'import_redux'               => array(
    array(
    'file_url'    => plugin_dir_url( __FILE__ ).'demo-content/demo2/theme-options.json',
    'option_name' => 'kasuari_framework',
    ),
  ),
  'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'demo-content/demo2/screen-image.jpg',
  'import_notice'              => __( 'Some of images may not looks like demo because images are excluded from theme.', 'kasuari' ),
  'preview_url'                => 'https://kasuari2.themesawesome.com/',
  ),

);
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );

function ocdi_after_import_setup() {
// Assign menus to their locations.
$main_menu = get_term_by( 'name', 'Menu', 'nav_menu' );

set_theme_mod( 'nav_menu_locations', array(
  'header-menu' => $main_menu->term_id, // replace 'main-menu' here with the menu location identifier from register_nav_menu() function
  )
);

// Assign front page and posts page (blog page).
$front_page_id = get_page_by_title( 'Home' );
$blog_page_id  = get_page_by_title( 'Blog' );

update_option( 'show_on_front', 'page' );
update_option( 'page_on_front', $front_page_id->ID );
update_option( 'page_for_posts', $blog_page_id->ID );


}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );